## libcpuid 0.5.0+repack1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

set(VERSION "0.5.0")
set(SOVERSION 15)
project(
  cpuid
  LANGUAGES C CXX ASM_MASM
  VERSION ${VERSION})

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_C_STANDARD 99)

# Global variables
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

if(UNIX)
  include(GNUInstallDirs)
  set(prefix "${CMAKE_INSTALL_PREFIX}")
  set(exec_prefix "\${prefix}")
  set(libdir "\${exec_prefix}/lib")
  set(includedir "\${prefix}/include")
  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/libcpuid.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/libcpuid.pc" ESCAPE_QUOTES
                 @ONLY)
  install(FILES "${PROJECT_BINARY_DIR}/libcpuid.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
endif(UNIX)

# Include subdirectories
add_subdirectory(libcpuid)
add_subdirectory(cpuid_tool)
add_subdirectory(tests)

=== cpuid_tool/CMakeLists.txt ===
add_executable(cpuid_tool cpuid_tool.c)

target_link_libraries(cpuid_tool cpuid)

if(WIN32)
  install(
    TARGETS cpuid_tool
    CONFIGURATIONS Debug
    RUNTIME DESTINATION bin/Debug)
  install(
    TARGETS cpuid_tool
    CONFIGURATIONS Release
    RUNTIME DESTINATION bin/Release)
else()
  install(TARGETS cpuid_tool RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
endif()

## libcpuid 0.4.0

=== debian/changelog ===
libcpuid (0.4.0-0.1~mx19+1) mx; urgency=medium

  * Rebuilt for MX 19.
  * Make versioning rational.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 26 Sep 2019 18:41:21 -0700

libcpuid (0.4.0-0~274~mx17) mx; urgency=medium

  * Rebuild for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 16 Feb 2018 15:31:27 -0500

libcpuid (0.4.0-0~274~ubuntu16.04.1) xenial; urgency=low

  * Auto build.

 -- Launchpad Package Builder <noreply@launchpad.net>  Sun, 04 Feb 2018 17:01:24 +0000

libcpuid (0.4.0) unstable; urgency=low

  * Better detection of AMD clock multiplier with msrinfo.
  * Support for Intel SGX detection
  (a backwards-incompatible change since the sizeof
   cpu_raw_data_t and cpu_id_t is now different).

 -- Georgiev, Veselin <anrieff@gmail.com>  Fri, 30 Sep 2016 22:39:37 +0300

libcpuid (0.3.0) unstable; urgency=low

  * A backwards-incompatible change, since the sizeof cpu_raw_data_t and
	  cpu_id_t are now different.
  * Support for processors up to Skylake.
  * Fix clock detection in cpu_clock_by_ic() for Skylake.
  * Support up to 8 subleaf entries for CPUID leaf 04 and detection
	  of L4 cache.
  * MSR functions supported on FreeBSD.
  * INFO_VOLTAGE request supported by cpu_msrinfo(). 

 -- eloaders <eloaders@linux.pl>  Mon, 22 Aug 2016 17:45:21 +0200

libcpuid (0.2.1) unstable; urgency=low

  * Initial release add debian directory for libcpuid.

 -- Zhang, Guodong <gdzhang@linx-info.com>  Fri, 10 Apr 2015 14:59:27 +0800

=== debian/control ===
Source: libcpuid
Section: utils
Priority: optional
Maintainer: Zhang, Guodong <gdzhang@linx-info.com>
Build-Depends: debhelper (>= 9), autotools-dev, libtool,
               automake, autoconf, python, doxygen
Standards-Version: 3.9.5
Homepage: https://github.com/anrieff/libcpuid

Package: libcpuid14
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
Replaces: libcpuid11, libcpuid13
Description: small C library for x86/x86_64 CPU detection and feature extraction
 For details about the programming API, please see the docs
 on the project's site (http://libcpuid.sourceforge.net/)

Package: libcpuid14-dev
Architecture: amd64 i386
Section: libdevel
Depends: ${misc:Depends}
Replaces: libcpuid11-dev, libcpuid13-dev
Description: Development files for libcpuid
 For details about the programming API, please see the docs
 on the project's site (http://libcpuid.sourceforge.net/)

Package: cpuidtool
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
Replaces: cpuidtool
Description: small C library for x86/x86_64 CPU detection and feature extraction
 For details about the programming API, please see the docs
 on the project's site (http://libcpuid.sourceforge.net/)

=== debian/rules ===
#!/usr/bin/make -f

plib_bin=libcpuid
plib_dev=libcpuid-dev

%:
	dh $@  --with autotools-dev

override_dh_auto_configure:
	libtoolize
	autoreconf --install
	dh_auto_configure

## libcpuid 0.4.1

=== debian/changelog ===
libcpuid (0.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Nov 2019 18:41:27 -0500

libcpuid (0.4.1-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #941473).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 01 Oct 2019 11:13:03 +0200

=== debian/control ===
Source: libcpuid
Section: libs
Priority: optional
Maintainer: Martin Wimpress <martin.wimpress@ubuntu.com>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 12),
               doxygen,
Standards-Version: 4.4.0
Homepage: https://github.com/anrieff/libcpuid
Vcs-Git: https://salsa.debian.org/debian/libcpuid.git
Vcs-Browser: https://salsa.debian.org/debian/libcpuid
Rules-Requires-Root: no

Package: libcpuid14
Architecture: amd64 i386
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: C library for x86/x86_64 CPU detection and feature extraction (shared lib)
 libcpuid is a small C library for x86 CPU detection and feature
 extraction. Using it, you can:
 .
    - get the processor vendor, model, brand string, code name,
    - get information about CPU features such as: number of cores or logical
      CPUs, cache sizes, CPU clock,
    - check if the processor implements a specific instruction set such as
      the SSE2, 3DNow!,
    - execute the CPUID and RDTSC instructions (portably!)
 .
 This package ships the libcpuid shared library.

Package: libcpuid-dev
Architecture: amd64 i386
Multi-Arch: same
Depends: libcpuid14 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Section: libdevel
Description: C library for x86/x86_64 CPU detection and feature extraction (headers)
 libcpuid is a small C library for x86 CPU detection and feature
 extraction. Using it, you can:
 .
    - get the processor vendor, model, brand string, code name,
    - get information about CPU features such as: number of cores or logical
      CPUs, cache sizes, CPU clock,
    - check if the processor implements a specific instruction set such as
      the SSE2, 3DNow!,
    - execute the CPUID and RDTSC instructions (portably!)
 .
 This package ships the libcpuid development headers.

Package: cpuidtool
Architecture: amd64 i386
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
Section: misc
Description: C library for x86/x86_64 CPU detection and feature extraction (tool)
 libcpuid is a small C library for x86 CPU detection and feature
 extraction. Using it, you can:
 .
    - get the processor vendor, model, brand string, code name,
    - get information about CPU features such as: number of cores or logical
      CPUs, cache sizes, CPU clock,
    - check if the processor implements a specific instruction set such as
      the SSE2, 3DNow!,
    - execute the CPUID and RDTSC instructions (portably!)
 .
 This package ships the cpuidtool.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

NULL  =
PKD   = $(word 2, abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(DEB_SOURCE)
UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE = +dfsg
VER  ?= $(subst $(DTYPE),,$(UVER))

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

# disabling test engine (as it is driven by Python2.7,
# about to be removed from Debian)
override_dh_auto_test:

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-version $(VER) --repack --compression xz --destdir=..

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/libcpuid-x-$1.tar.gz/ \
https://github.com/anrieff/libcpuid/tags .*/archive/v?([\d\.]+).tar.gz

## libcpuid 0.5.0

=== debian/changelog ===
libcpuid (0.5.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Mon, 01 Jun 2020 23:49:01 -0400

libcpuid (0.5.0) unstable; urgency=low

  * A backwards-incompatible change, since the sizeof cpu_raw_data_t and
    cpu_id_t are now different.
  * Support for Hygon Dhyana (#123)
  * Support for Zen 2 (#125, #137)
  * Stubs for AArch64 (#127)
  * Support for Intel AVX512VNNI detection (#129)
  * Typo fixes (#130)
  * Support for get_total_cpus on Haiku (#131)
  * Fix build on PPC (#132)
  * Support for CMake build system (#138) and vcpkg packaging (#140)
  * Support for Cannon Lake
  * Support for Coffee Lake-U and Coffee Lake Refresh
  * Support for Comet Lake
  * Support for Ice Lake
  * Support for Renoir
  * Fix ThreadSanitizer report (#142)
  * Better support of L1 intruction cache (--l1i-assoc, --l1i-cacheline)
  * Support for Ivy Bridge-E (Xeon)
  * Support up to 4 subleaf entries for CPUID leaf 0x8000001D and
    fix detection of L3 cache on Zen 2
  * Support for RDSEED/ADX/SHA_NI detection (AMD)
  * Support for ABM/AVX512VBMI/AVX512VBMI2 detection (Intel)

 -- Georgiev, Veselin <anrieff@gmail.com>  Sat, 23 May 2020 20:35:00 +0200

libcpuid (0.4.1) unstable; urgency=low

  * Better support for Skylake Core i5 (#76)
  * Misdiagnosis microarchitecture for i3-3220T (#81)
  * Ability to dump MSR values to a file (PR #82)
  * AMD Ryzen support (#86)
  * Support for Coffee and Kaby Lake (#104)
  * Support for Raven Ridge and Threadripper (#106)
  * Support for Pinnacle Ridge (#111)
  * Fix P-III Celeron misdetection
  * Support for Skylake-X (#116)
  * Support for Zen+ Threadripper

 -- Georgiev, Veselin <anrieff@gmail.com>  Tue, 05 Feb 2019 22:36:00 +0200

libcpuid (0.4.0+ubuntu1~1) artful; urgency=low

  * built for artful
  * got rid of lintian errors

 -- Jeffrey Cliff <jeffrey.cliff@gmail.com>  Fri, 20 Apr 2018 15:39:37 +0600

=== debian/control ===
Source: libcpuid
Section: libs
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Zhang, Guodong <gdzhang@linx-info.com>
Build-Depends: debhelper (>= 9), autotools-dev, libtool, automake, autoconf, python, doxygen
Standards-Version: 3.9.5
Homepage: https://github.com/anrieff/libcpuid

Package: libcpuid15
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
Replaces: libcpuid11, libcpuid13, libcpuid14
Description: small C library for x86/x86_64 CPU detection and feature extraction
 For details about the programming API, please see the docs
 on the project's site (http://libcpuid.sourceforge.net/)

Package: libcpuid15-dev
Architecture: amd64 i386
Section: libdevel
Depends: ${misc:Depends}
Replaces: libcpuid11-dev, libcpuid13-dev, libcpuid14-dev
Description: Development files for libcpuid
 For details about the programming API, please see the docs
 on the project's site (http://libcpuid.sourceforge.net/)

Package: cpuidtool
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
Replaces: cpuidtool
Description: small C library for x86/x86_64 CPU detection and feature extraction
 For details about the programming API, please see the docs
 on the project's site (http://libcpuid.sourceforge.net/)

## libcpuid 0.5.0+repack1

=== debian/changelog ===
libcpuid (0.5.0+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/*:
    + Repack orig tarball and mark it as repacked in the src:pkg version.
    + SOVERSION bump (libcpuid14 -> libcpuid15).
  * debian/patches:
    + Update 1001_spelling-fixes.patch. (Previous spelling flaws have been
      fixed upstream, new spelling flaws introduced).
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Bump DH compat level to version 13.
  * debian/libcpuid15.symbols:
    + Add Build-Depends-Package meta data field.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 Jul 2020 12:02:31 +0200

=== debian/control ===
Source: libcpuid
Section: libs
Priority: optional
Maintainer: Martin Wimpress <martin.wimpress@ubuntu.com>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               doxygen,
Standards-Version: 4.5.0
Homepage: https://github.com/anrieff/libcpuid
Vcs-Git: https://salsa.debian.org/debian/libcpuid.git
Vcs-Browser: https://salsa.debian.org/debian/libcpuid
Rules-Requires-Root: no

Package: libcpuid15
Architecture: amd64 i386
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: C library for x86/x86_64 CPU detection and feature extraction (shared lib)
 libcpuid is a small C library for x86 CPU detection and feature
 extraction. Using it, you can:
 .
    - get the processor vendor, model, brand string, code name,
    - get information about CPU features such as: number of cores or logical
      CPUs, cache sizes, CPU clock,
    - check if the processor implements a specific instruction set such as
      the SSE2, 3DNow!,
    - execute the CPUID and RDTSC instructions (portably!)
 .
 This package ships the libcpuid shared library.

Package: libcpuid-dev
Architecture: amd64 i386
Multi-Arch: same
Depends: libcpuid15 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Section: libdevel
Description: C library for x86/x86_64 CPU detection and feature extraction (headers)
 libcpuid is a small C library for x86 CPU detection and feature
 extraction. Using it, you can:
 .
    - get the processor vendor, model, brand string, code name,
    - get information about CPU features such as: number of cores or logical
      CPUs, cache sizes, CPU clock,
    - check if the processor implements a specific instruction set such as
      the SSE2, 3DNow!,
    - execute the CPUID and RDTSC instructions (portably!)
 .
 This package ships the libcpuid development headers.

Package: cpuidtool
Architecture: amd64 i386
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
Section: misc
Description: C library for x86/x86_64 CPU detection and feature extraction (tool)
 libcpuid is a small C library for x86 CPU detection and feature
 extraction. Using it, you can:
 .
    - get the processor vendor, model, brand string, code name,
    - get information about CPU features such as: number of cores or logical
      CPUs, cache sizes, CPU clock,
    - check if the processor implements a specific instruction set such as
      the SSE2, 3DNow!,
    - execute the CPUID and RDTSC instructions (portably!)
 .
 This package ships the cpuidtool.

=== debian/watch ===
version=4
opts=repacksuffix=+repack1,dversionmangle=s/\+repack1//,filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/libcpuid-$1.tar.gz/ \
https://github.com/anrieff/libcpuid/tags .*/archive/v?([\d\.]+).tar.gz

## libcpuid 0.5.1+repack1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.14)
 
-set(VERSION "0.5.0")
+set(VERSION "0.5.1")
 set(SOVERSION 15)
 project(
   cpuid

=== libcpuid/CMakeLists.txt ===
set(cpuid_sources
    cpuid_main.c
    recog_intel.c
    recog_amd.c
    rdtsc.c
    libcpuid_util.c
    rdmsr.c
    msrdriver.c
    asm-bits.c)

if("${MSVC_CXX_ARCHITECTURE_ID}" MATCHES "x64")
  list(APPEND cpuid_sources masm-x64.asm)
endif()

if(UNIX)
  add_library(cpuid SHARED ${cpuid_sources})
else()
  add_library(cpuid ${cpuid_sources})
endif()
target_include_directories(cpuid SYSTEM PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>)

target_compile_definitions(cpuid PRIVATE VERSION="${PROJECT_VERSION}")
set_target_properties(cpuid PROPERTIES VERSION ${PROJECT_VERSION})
set_target_properties(cpuid PROPERTIES SOVERSION ${SOVERSION})
set_target_properties(cpuid PROPERTIES PUBLIC_HEADER "libcpuid.h;libcpuid_types.h;libcpuid_constants.h")

# Documentation
find_package(Doxygen)
option(ENABLE_DOCS "Enable building documentation." ON)
if(DOXYGEN_FOUND AND ENABLE_DOCS)
  set(top_srcdir ${PROJECT_SOURCE_DIR})
  configure_file(Doxyfile.in Doxyfile ESCAPE_QUOTES)
  add_custom_target(
    docs ALL
    ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/
    COMMENT "Generating API documentation with Doxygen"
    VERBATIM)
  if(UNIX)
    install(
      DIRECTORY "${CMAKE_SOURCE_DIR}/docs/man/"
      DESTINATION "${CMAKE_INSTALL_MANDIR}"
      FILES_MATCHING
      PATTERN "cpu_*_t.3"
      PATTERN "libcpuid.3"
      PATTERN "cpuid_tool.3")
  endif(UNIX)
else()
  add_custom_target(
    docs
    echo
    "Doxygen was not installed when CMake was run or ENABLE_DOCS was OFF. Check that Doxygen is installed and rerun `cmake .`"
    VERBATIM)
endif()

# Configuration
set(generated_dir "${CMAKE_CURRENT_BINARY_DIR}/generated")
set(config_install_dir "lib/cmake/${PROJECT_NAME}")
set(version_config "${generated_dir}/${PROJECT_NAME}ConfigVersion.cmake")
set(project_config "${generated_dir}/${PROJECT_NAME}Config.cmake")
set(TARGETS_EXPORT_NAME "${PROJECT_NAME}Targets")
set(namespace "${PROJECT_NAME}::")

include(CMakePackageConfigHelpers)

# Configure '<PROJECT-NAME>ConfigVersion.cmake' Use: * PROJECT_VERSION
write_basic_package_version_file("${version_config}" COMPATIBILITY SameMajorVersion)

# Configure '<PROJECT-NAME>Config.cmake' Use variables: * TARGETS_EXPORT_NAME * PROJECT_NAME
configure_package_config_file("${CMAKE_MODULE_PATH}/Config.cmake.in" "${project_config}"
                              INSTALL_DESTINATION "${config_install_dir}")

# Installation

install(
  TARGETS cpuid
  EXPORT "${TARGETS_EXPORT_NAME}"
  LIBRARY DESTINATION "lib"
  ARCHIVE DESTINATION "lib"
  RUNTIME DESTINATION "bin"
  INCLUDES DESTINATION "include/libcpuid"
  PUBLIC_HEADER DESTINATION "include/libcpuid")

install(
  EXPORT "${TARGETS_EXPORT_NAME}"
  NAMESPACE "${namespace}"
  DESTINATION "${config_install_dir}")

install(FILES "${project_config}" "${version_config}" DESTINATION "${config_install_dir}")

add_custom_target(
  consistency
  COMMAND "./check-consistency.py" "./"
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/
  COMMENT "Check consistency"
  VERBATIM)

=== tests/CMakeLists.txt ===
if(UNIX)
  add_executable(convert_instlatx64 convert_instlatx64.c)
  target_link_libraries(convert_instlatx64 PUBLIC cpuid)
endif(UNIX)

add_custom_target(test DEPENDS test-fast)

add_custom_target(
  test-fast
  COMMAND ${CMAKE_COMMAND} -E env "LD_LD_PRELOAD=${CMAKE_BINARY_DIR}/libcpuid" ./run_tests.py
          "${CMAKE_BINARY_DIR}/cpuid_tool/cpuid_tool" "." --show-test-fast-warning
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/
  COMMENT "Run tests (fast mode)"
  VERBATIM)

add_custom_target(
  test-old
  COMMAND ${CMAKE_COMMAND} -E env "LD_LD_PRELOAD=${CMAKE_BINARY_DIR}/libcpuid" ./run_tests.py
          "${CMAKE_BINARY_DIR}/cpuid_tool/cpuid_tool" "."
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/
  COMMENT "Run tests (old mode)"
  VERBATIM)

add_custom_target(
  fix-tests
  COMMAND ${CMAKE_COMMAND} -E env "LD_LD_PRELOAD=${CMAKE_BINARY_DIR}/libcpuid" ./run_tests.py
          "${CMAKE_BINARY_DIR}/cpuid_tool/cpuid_tool" "." --fix
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/
  COMMENT "Fix tests"
  VERBATIM)

=== debian/changelog ===
libcpuid (0.5.1+repack1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 21 Jul 2022 13:40:59 -0700

libcpuid (0.5.1+repack1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Dec 2021 21:56:58 +0100

libcpuid (0.5.0+repack1-2) unstable; urgency=medium

  * debian/watch: Fix Github watch URL.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Apr 2021 22:29:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: libcpuid
 Section: libs
 Priority: optional
-Maintainer: Martin Wimpress <martin.wimpress@ubuntu.com>
-Uploaders:
- Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               doxygen,
-Standards-Version: 4.5.0
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Martin Wimpress <martin.wimpress@ubuntu.com>
+Uploaders: Mike Gabriel <sunweaver@debian.org>
+Build-Depends: debhelper-compat (= 13), doxygen
+Standards-Version: 4.6.0
 Homepage: https://github.com/anrieff/libcpuid
 Vcs-Git: https://salsa.debian.org/debian/libcpuid.git
 Vcs-Browser: https://salsa.debian.org/debian/libcpuid
@@ -15,8 +14,7 @@
 Package: libcpuid15
 Architecture: amd64 i386
 Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: C library for x86/x86_64 CPU detection and feature extraction (shared lib)
  libcpuid is a small C library for x86 CPU detection and feature
  extraction. Using it, you can:
@@ -33,9 +31,7 @@
 Package: libcpuid-dev
 Architecture: amd64 i386
 Multi-Arch: same
-Depends: libcpuid15 (= ${binary:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends},
+Depends: libcpuid15 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Section: libdevel
 Description: C library for x86/x86_64 CPU detection and feature extraction (headers)
  libcpuid is a small C library for x86 CPU detection and feature
@@ -53,8 +49,7 @@
 Package: cpuidtool
 Architecture: amd64 i386
 Multi-Arch: foreign
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Section: misc
 Description: C library for x86/x86_64 CPU detection and feature extraction (tool)
  libcpuid is a small C library for x86 CPU detection and feature

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 PKD   = $(word 2, abspath $(dir $(MAKEFILE_LIST)))
 PKG   = $(DEB_SOURCE)
 UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
-DTYPE = +dfsg
+DTYPE = +repack1
 VER  ?= $(subst $(DTYPE),,$(UVER))
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -23,5 +23,9 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 get-orig-source:
-	uscan --noconf --force-download --rename --download-version $(VER) --repack --compression xz --destdir=..
+	uscan --no-conf --force-download --rename --download-version $(VER) --repack --compression xz --destdir=.. --verbose

## libcpuid 0.6.2%2Brepack1

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: libcpuid
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Martin Wimpress <martin.wimpress@ubuntu.com>
-Uploaders: Mike Gabriel <sunweaver@debian.org>
-Build-Depends: debhelper-compat (= 13), doxygen
-Standards-Version: 4.6.0
+Maintainer: Martin Wimpress <code@wimpress.io>
+Uploaders:
+ Mike Gabriel <sunweaver@debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               doxygen,
+Standards-Version: 4.6.2
 Homepage: https://github.com/anrieff/libcpuid
 Vcs-Git: https://salsa.debian.org/debian/libcpuid.git
 Vcs-Browser: https://salsa.debian.org/debian/libcpuid
 Rules-Requires-Root: no
 
-Package: libcpuid15
+Package: libcpuid16
 Architecture: amd64 i386
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
 Description: C library for x86/x86_64 CPU detection and feature extraction (shared lib)
  libcpuid is a small C library for x86 CPU detection and feature
  extraction. Using it, you can:
@@ -31,7 +33,9 @@
 Package: libcpuid-dev
 Architecture: amd64 i386
 Multi-Arch: same
-Depends: libcpuid15 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libcpuid16 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends},
 Section: libdevel
 Description: C library for x86/x86_64 CPU detection and feature extraction (headers)
  libcpuid is a small C library for x86 CPU detection and feature
@@ -49,7 +53,8 @@
 Package: cpuidtool
 Architecture: amd64 i386
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
 Section: misc
 Description: C library for x86/x86_64 CPU detection and feature extraction (tool)
  libcpuid is a small C library for x86 CPU detection and feature

## libcpuid 0.6.2+repack1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

set(VERSION "0.6.2")
set(LIBCPUID_CURRENT 16)
set(LIBCPUID_AGE 0)
set(LIBCPUID_REVISION 2)
project(
  cpuid
  LANGUAGES C CXX ASM_MASM
  VERSION ${VERSION})

if(MSVC)
  set(LIBCPUID_SHARED OFF)
else()
  set(LIBCPUID_SHARED ON)
endif()
option(BUILD_SHARED_LIBS "Build shared lib" ${LIBCPUID_SHARED})

option(LIBCPUID_TESTS "Enable building tests" OFF)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_C_STANDARD 99)

# Global variables
list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

if(UNIX)
  include(GNUInstallDirs)
  set(prefix "${CMAKE_INSTALL_PREFIX}")
  set(exec_prefix "\${prefix}")
  set(libdir "\${exec_prefix}/lib")
  set(includedir "\${prefix}/include")
  set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wall -Wuninitialized -Wstrict-prototypes -Wformat -Wformat-security -Wunused-parameter")
  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/libcpuid.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/libcpuid.pc" ESCAPE_QUOTES
                 @ONLY)
  install(FILES "${PROJECT_BINARY_DIR}/libcpuid.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
endif(UNIX)

# Include subdirectories
add_subdirectory(libcpuid)
add_subdirectory(cpuid_tool)
if(LIBCPUID_TESTS)
  add_subdirectory(tests)
endif()

=== libcpuid/CMakeLists.txt ===
--- 
+++ 
@@ -5,23 +5,26 @@
     rdtsc.c
     libcpuid_util.c
     rdmsr.c
-    msrdriver.c
     asm-bits.c)
+
+if(WIN32)
+  list(APPEND cpuid_sources msrdriver.c)
+endif()
+if(UNIX)
+  add_compile_definitions(_GNU_SOURCE)
+endif(UNIX)
 
 if("${MSVC_CXX_ARCHITECTURE_ID}" MATCHES "x64")
   list(APPEND cpuid_sources masm-x64.asm)
 endif()
 
-if(UNIX)
-  add_library(cpuid SHARED ${cpuid_sources})
-else()
-  add_library(cpuid ${cpuid_sources})
-endif()
+add_library(cpuid ${cpuid_sources})
+set_property(TARGET cpuid PROPERTY WINDOWS_EXPORT_ALL_SYMBOLS ON)
 target_include_directories(cpuid SYSTEM PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>)
 
 target_compile_definitions(cpuid PRIVATE VERSION="${PROJECT_VERSION}")
-set_target_properties(cpuid PROPERTIES VERSION ${PROJECT_VERSION})
-set_target_properties(cpuid PROPERTIES SOVERSION ${SOVERSION})
+set_target_properties(cpuid PROPERTIES VERSION "${LIBCPUID_CURRENT}.${LIBCPUID_AGE}.${LIBCPUID_REVISION}")
+set_target_properties(cpuid PROPERTIES SOVERSION "${LIBCPUID_CURRENT}")
 set_target_properties(cpuid PROPERTIES PUBLIC_HEADER "libcpuid.h;libcpuid_types.h;libcpuid_constants.h")
 
 # Documentation
@@ -67,7 +70,7 @@
 write_basic_package_version_file("${version_config}" COMPATIBILITY SameMajorVersion)
 
 # Configure '<PROJECT-NAME>Config.cmake' Use variables: * TARGETS_EXPORT_NAME * PROJECT_NAME
-configure_package_config_file("${CMAKE_MODULE_PATH}/Config.cmake.in" "${project_config}"
+configure_package_config_file("${PROJECT_SOURCE_DIR}/cmake/Config.cmake.in" "${project_config}"
                               INSTALL_DESTINATION "${config_install_dir}")
 
 # Installation

=== debian/changelog ===
libcpuid (0.6.2+repack1-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/copyright:
    + Adjust Files-Exlucded field. Drop debian/ subfolder from it.
    + Add copyright.in file for tracking later copyright changes.
    + Update copyright attributions for debian/.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/patches:
    + Forward patch 1001 upstream and mark it as such.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 Jan 2023 13:03:02 +0100

libcpuid (0.6.1+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 1001_spelling-fixes.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 Oct 2022 21:36:57 +0200

libcpuid (0.6.0+repack1-2) unstable; urgency=medium

  * Re-upload to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Oct 2022 09:52:59 +0200

libcpuid (0.6.0+repack1-1) experimental; urgency=medium

  * Upload to experimental.

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/control:
    + Update Martin's mail address in Uploaders: field.
  * debian/:
    + Move from libcpuid15 to libcpuid16 (SOVERSION bump).
  * debian/copyright:
    + Update copyright attributions for debian/*.
  * debian/libcpuid16.symbols:
    + Update .symbols.
  * debian/patches:
    + Update 1001_spelling-fixes.patch. Fix another typo.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 20 Oct 2022 23:24:00 +0200

=== debian/watch ===
version=4
opts=repacksuffix=+repack1,dversionmangle=s/\+repack1//,filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/libcpuid-$1.tar.gz/ \
https://github.com/anrieff/libcpuid/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz

## libcpuid 0.6.3+repack1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.13)
 
-set(VERSION "0.6.2")
+set(VERSION "0.6.3")
 set(LIBCPUID_CURRENT 16)
 set(LIBCPUID_AGE 0)
-set(LIBCPUID_REVISION 2)
+set(LIBCPUID_REVISION 3)
 project(
   cpuid
   LANGUAGES C CXX ASM_MASM

=== debian/changelog ===
libcpuid (0.6.3+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_spelling-fixes.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Jun 2023 13:19:46 +0200

## libcpuid 0.6.4+repack1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.13)
 
-set(VERSION "0.6.3")
+set(VERSION "0.6.4")
 set(LIBCPUID_CURRENT 16)
 set(LIBCPUID_AGE 0)
-set(LIBCPUID_REVISION 3)
+set(LIBCPUID_REVISION 4)
 project(
   cpuid
   LANGUAGES C CXX ASM_MASM
@@ -20,6 +20,18 @@
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_C_STANDARD 99)
+
+# pthreads library
+if(${CMAKE_SYSTEM_NAME} STREQUAL "DragonFly" OR ${CMAKE_SYSTEM_NAME} STREQUAL "NetBSD")
+  find_package(Threads REQUIRED)
+endif()
+
+# check if popcount64 is available
+include(CheckSymbolExists)
+check_symbol_exists(popcount64 "string.h" HAVE_POPCOUNT64)
+if(HAVE_POPCOUNT64)
+  add_definitions(-DHAVE_POPCOUNT64)
+endif(HAVE_POPCOUNT64)
 
 # Global variables
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

=== libcpuid/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 set(cpuid_sources
     cpuid_main.c
+    recog_amd.c
+    recog_centaur.c
     recog_intel.c
-    recog_amd.c
     rdtsc.c
     libcpuid_util.c
     rdmsr.c
@@ -22,6 +23,7 @@
 set_property(TARGET cpuid PROPERTY WINDOWS_EXPORT_ALL_SYMBOLS ON)
 target_include_directories(cpuid SYSTEM PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>)
 
+target_link_libraries(cpuid ${CMAKE_THREAD_LIBS_INIT})
 target_compile_definitions(cpuid PRIVATE VERSION="${PROJECT_VERSION}")
 set_target_properties(cpuid PROPERTIES VERSION "${LIBCPUID_CURRENT}.${LIBCPUID_AGE}.${LIBCPUID_REVISION}")
 set_target_properties(cpuid PROPERTIES SOVERSION "${LIBCPUID_CURRENT}")

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,3 @@
-if(UNIX)
-  add_executable(convert_instlatx64 convert_instlatx64.c)
-  target_link_libraries(convert_instlatx64 PUBLIC cpuid)
-endif(UNIX)
-
 add_custom_target(test DEPENDS test-fast)
 
 add_custom_target(

=== debian/changelog ===
libcpuid (0.6.4+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 09 Feb 2024 09:34:39 +0100

## libcpuid 0.6.5+repack1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.13)
 
-set(VERSION "0.6.4")
+set(VERSION "0.6.5")
 set(LIBCPUID_CURRENT 16)
 set(LIBCPUID_AGE 0)
-set(LIBCPUID_REVISION 4)
+set(LIBCPUID_REVISION 5)
 project(
   cpuid
   LANGUAGES C CXX ASM_MASM

=== debian/changelog ===
libcpuid (0.6.5+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 09 Jun 2024 22:56:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                doxygen,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/anrieff/libcpuid
 Vcs-Git: https://salsa.debian.org/debian/libcpuid.git
 Vcs-Browser: https://salsa.debian.org/debian/libcpuid

## libcpuid 0.7.1%2Brepack1

=== debian/watch ===
version=4
opts=repacksuffix=+repack1 \
https://github.com/anrieff/@PACKAGE@/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## libcpuid 0.7.1+repack1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

set(VERSION "0.7.1")
set(LIBCPUID_CURRENT 17)
set(LIBCPUID_AGE 0)
set(LIBCPUID_REVISION 1)
project(
  cpuid
  LANGUAGES C ASM_MASM
  VERSION ${VERSION})

# CMake modules
list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

if(MSVC)
  set(LIBCPUID_SHARED OFF)
else()
  set(LIBCPUID_SHARED ON)
endif()

# Options
option(BUILD_SHARED_LIBS "Build building shared libraries" ${LIBCPUID_SHARED})
option(LIBCPUID_BUILD_DRIVERS "Enable building kernel drivers" ON)
option(LIBCPUID_ENABLE_TESTS "Enable tests targets" OFF)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_C_STANDARD 99)

# pthreads library
if(${CMAKE_SYSTEM_NAME} STREQUAL "DragonFly" OR ${CMAKE_SYSTEM_NAME} STREQUAL "NetBSD")
  find_package(Threads REQUIRED)
endif()

# check if popcount64 is available
include(CheckSymbolExists)
check_symbol_exists(popcount64 "string.h" HAVE_POPCOUNT64)
if(HAVE_POPCOUNT64)
  add_definitions(-DHAVE_POPCOUNT64)
endif(HAVE_POPCOUNT64)

# check if auxiliary vector is available
if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
  check_symbol_exists(getauxval "sys/auxv.h" HAVE_GETAUXVAL)
  if(HAVE_GETAUXVAL)
    add_definitions(-DHAVE_GETAUXVAL)
  endif(HAVE_GETAUXVAL)
elseif(${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
  check_symbol_exists(elf_aux_info "sys/auxv.h" HAVE_ELF_AUX_INFO)
  if(HAVE_ELF_AUX_INFO)
    add_definitions(-DHAVE_ELF_AUX_INFO)
  endif(HAVE_ELF_AUX_INFO)
endif()

# Global variables
if(UNIX)
  include(GNUInstallDirs)
  set(prefix "${CMAKE_INSTALL_PREFIX}")
  set(exec_prefix "\${prefix}")
  set(libdir "\${exec_prefix}/lib")
  set(includedir "\${prefix}/include")
  set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wall -Wuninitialized -Wstrict-prototypes -Wformat -Wformat-security -Wunused-parameter -Wdeprecated-declarations")
  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/libcpuid.pc.in" "${CMAKE_CURRENT_BINARY_DIR}/libcpuid.pc" ESCAPE_QUOTES
                 @ONLY)
  install(FILES "${PROJECT_BINARY_DIR}/libcpuid.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
endif(UNIX)

# Include subdirectories
add_subdirectory(libcpuid)
add_subdirectory(cpuid_tool)
if(LIBCPUID_BUILD_DRIVERS)
  add_subdirectory(drivers)
endif(LIBCPUID_BUILD_DRIVERS)
if(LIBCPUID_ENABLE_TESTS)
  add_subdirectory(tests)
endif(LIBCPUID_ENABLE_TESTS)

=== drivers/arm/freebsd/CMakeLists.txt ===
set(DRIVER_NAME "cpuid")
set(DRIVER_SOURCE "${DRIVER_NAME}.c")
set(DRIVER_OBJECT "${DRIVER_NAME}.o")
set(DRIVER_MODULE "${DRIVER_NAME}.ko")

configure_file("${DRIVER_SOURCE}" "${CMAKE_CURRENT_BINARY_DIR}/${DRIVER_SOURCE}" COPYONLY)
configure_file(Makefile.in "${CMAKE_CURRENT_BINARY_DIR}/Makefile_kmod")

add_custom_command(OUTPUT "${DRIVER_MODULE}"
  COMMAND "${CMAKE_MAKE_PROGRAM}" -f Makefile_kmod
  WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
  DEPENDS "${DRIVER_SOURCE}"
  COMMENT "Building CPUID kernel module for ARM..."
  VERBATIM
)

add_custom_target(driver-arm-cpuid ALL DEPENDS "${DRIVER_MODULE}")

=== debian/changelog ===
libcpuid (0.7.1+repack1-0.2) unstable; urgency=medium

  * NMU
  * debian/control:
    + Bump Standards-Version to 4.7.2. No changes needed.
  * debian/control:
    + Allow building for x32

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 23 Mar 2025 16:31:44 +0000

libcpuid (0.7.1+repack1-0.1) unstable; urgency=medium

  * NMU
  * Yak shave debian/watch
  * New upstream release
  * Adjust file exclusion list for new non-DFSG file location
  * Remove non-existant upstream NEWS from .docs file
  * Move from libcpuid16 to libcpuid17 (SOVERSION bump).
  * Patch typo in string

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 10 Dec 2024 13:18:34 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                doxygen,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/anrieff/libcpuid
 Vcs-Git: https://salsa.debian.org/debian/libcpuid.git
 Vcs-Browser: https://salsa.debian.org/debian/libcpuid
 Rules-Requires-Root: no
 
-Package: libcpuid16
-Architecture: amd64 i386
+Package: libcpuid17
+Architecture: amd64 i386 x32
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -33,7 +33,7 @@
 Package: libcpuid-dev
 Architecture: amd64 i386
 Multi-Arch: same
-Depends: libcpuid16 (= ${binary:Version}),
+Depends: libcpuid17 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends},
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,5 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-# MX don't need no stinkin' dbgsyms
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 get-orig-source:
 	uscan --no-conf --force-download --rename --download-version $(VER) --repack --compression xz --destdir=.. --verbose

## libcpuid 0.8.0%2Brepack1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.13)
 
-set(VERSION "0.7.1")
-set(LIBCPUID_CURRENT 17)
-set(LIBCPUID_AGE 0)
-set(LIBCPUID_REVISION 1)
+set(VERSION "0.8.0")
+set(LIBCPUID_CURRENT 18)
+set(LIBCPUID_AGE 1)
+set(LIBCPUID_REVISION 0)
 project(
   cpuid
   LANGUAGES C ASM_MASM
@@ -31,12 +31,7 @@
   find_package(Threads REQUIRED)
 endif()
 
-# check if popcount64 is available
 include(CheckSymbolExists)
-check_symbol_exists(popcount64 "string.h" HAVE_POPCOUNT64)
-if(HAVE_POPCOUNT64)
-  add_definitions(-DHAVE_POPCOUNT64)
-endif(HAVE_POPCOUNT64)
 
 # check if auxiliary vector is available
 if(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")

## libcpuid 0.8.0+repack1

=== debian/changelog ===
libcpuid (0.8.0+repack1-0.3) unstable; urgency=medium

  * NMU
  * Target unstable with ARM support

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 12 May 2025 21:33:31 +0100

libcpuid (0.8.0+repack1-0.2) experimental; urgency=medium

  * NMU
  * Broaden architecture list to include ARM and non-glibc-linux

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 11 May 2025 09:41:26 +0100

libcpuid (0.8.0+repack1-0.1) unstable; urgency=medium

  * NMU
  * New upstream release
  * Move from libcpuid17 to libcpuid18 (upstream SOVERSION bump).
  * Quilt patch to fix soversion bug: incompatible ABI change, should set
    AGE=0 but instead generate 18.1.0 for compatibility with cmake builds.
  * Comment orig-src stanza from debian/rules: just uscan --force-download
  * Remove obsolete exclusion from debian/copyright
  * Remove obsolete dh_missing stanza from debian/rules

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 08 May 2025 20:36:25 +0100

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
 Vcs-Browser: https://salsa.debian.org/debian/libcpuid
 Rules-Requires-Root: no
 
-Package: libcpuid17
-Architecture: amd64 i386 x32
+Package: libcpuid18
+Architecture: any-linux-amd64 any-linux-i386 any-linux-arm any-linux-armeb any-linux-arm64
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Description: C library for x86/x86_64 CPU detection and feature extraction (shared lib)
- libcpuid is a small C library for x86 CPU detection and feature
+Description: C library for x86/ARM CPU detection and feature extraction (shared lib)
+ libcpuid is a small C library for x86/ARM CPU detection and feature
  extraction. Using it, you can:
  .
     - get the processor vendor, model, brand string, code name,
@@ -31,14 +31,13 @@
  This package ships the libcpuid shared library.
 
 Package: libcpuid-dev
-Architecture: amd64 i386
+Architecture: any-linux-amd64 any-linux-i386 any-linux-arm any-linux-armeb any-linux-arm64
 Multi-Arch: same
-Depends: libcpuid17 (= ${binary:Version}),
-         ${shlibs:Depends},
+Depends: libcpuid18 (= ${binary:Version}),
          ${misc:Depends},
 Section: libdevel
-Description: C library for x86/x86_64 CPU detection and feature extraction (headers)
- libcpuid is a small C library for x86 CPU detection and feature
+Description: C library for x86/ARM CPU detection and feature extraction (headers)
+ libcpuid is a small C library for x86/ARM CPU detection and feature
  extraction. Using it, you can:
  .
     - get the processor vendor, model, brand string, code name,
@@ -51,13 +50,13 @@
  This package ships the libcpuid development headers.
 
 Package: cpuidtool
-Architecture: amd64 i386
+Architecture: any-linux-amd64 any-linux-i386 any-linux-arm any-linux-armeb any-linux-arm64
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends},
 Section: misc
-Description: C library for x86/x86_64 CPU detection and feature extraction (tool)
- libcpuid is a small C library for x86 CPU detection and feature
+Description: C library for x86/ARM CPU detection and feature extraction (tool)
+ libcpuid is a small C library for x86/ARM CPU detection and feature
  extraction. Using it, you can:
  .
     - get the processor vendor, model, brand string, code name,

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,5 @@
 # about to be removed from Debian)
 override_dh_auto_test:
 
-override_dh_missing:
-	dh_missing --fail-missing
-
-get-orig-source:
-	uscan --no-conf --force-download --rename --download-version $(VER) --repack --compression xz --destdir=.. --verbose
+# get-orig-source:
+# 	uscan --force-download
